Skip to content
Start here

Create a new Finetune

client.ai.finetunes.create(FinetuneCreateParams { account_id, model, name, 2 more } params, RequestOptionsoptions?): FinetuneCreateResponse { id, created_at, model, 4 more }
POST/accounts/{account_id}/ai/finetunes

Creates a new fine-tuning job for a Workers AI model using custom training data.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI Write
ParametersExpand Collapse
params: FinetuneCreateParams { account_id, model, name, 2 more }
account_id: string

Path param

model: string

Body param

name: string

Body param

description?: string

Body param

_public?: boolean

Body param

ReturnsExpand Collapse
FinetuneCreateResponse { id, created_at, model, 4 more }
id: string
formatuuid
created_at: string
formatdate-time
model: string
modified_at: string
formatdate-time
name: string
public: boolean
description?: string

Create a new Finetune

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const finetune = await client.ai.finetunes.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  model: 'model',
  name: 'name',
});

console.log(finetune.id);
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}